export const EVENTS = [
    {
        id: 'ev_nothing',
        title: 'Silencio',
        description: 'La mazmorra está en calma... sospechosamente tranquila.',
        type: 'NADA'
    },
    {
        id: 'ev_monster_1',
        title: '¡Emboscada!',
        description: '¡Monstruos surgen de las sombras!',
        type: 'MONSTRUO',
        count: 2
    },
    {
        id: 'ev_trap_1',
        title: 'Trampa de Pinchos',
        description: 'Un click resuena bajo tus pies. ¡Pinchos surgen del suelo!',
        type: 'TRAMPA',
        damage: 1
    },
    {
        id: 'ev_wind',
        title: 'Viento Helado',
        description: 'Una corriente de aire apaga vuestras antorchas.',
        type: 'PELIGRO'
    }
];

export class EventDeck {
    constructor() {
    }

    drawCard() {
        // Simple random draw for now
        const randIndex = Math.floor(Math.random() * EVENTS.length);
        return EVENTS[randIndex];
    }
}

export const eventDeck = new EventDeck();
